Creates a new supervisor role.
post
/learn.rest/v1/learnCenters/{learnCenterId}/supervisorRoles
Request
Supported Media Types
- application/json
Path Parameters
-
learnCenterId: number
Unique identifier of a LearnCenter.
Supervisor role object that needs to be created.
Root Schema : SupervisorRoleRequest
Type:
Show Source
object-
description(optional):
string
Example:
new test role desc -
globalFlag(optional):
boolean
Default Value:
falseExample:false -
name(optional):
string
Example:
new test role -
permissions(optional):
array permissions
-
statusFlag(optional):
boolean
Default Value:
trueExample:true
Nested Schema : permissions
Type:
Show Source
arrayExample:
[
"receiveComSystemMessages",
"attachFilesToMessages"
]Security
-
auth: basic
Type:
basicDescription:Basic Authentication
Response
Supported Media Types
- application/json
201 Response
New supervisor role is created.
Root Schema : SupervisorRoleRequest
Type:
Show Source
object-
description(optional):
string
Example:
new test role desc -
globalFlag(optional):
boolean
Default Value:
falseExample:false -
name(optional):
string
Example:
new test role -
permissions(optional):
array permissions
-
statusFlag(optional):
boolean
Default Value:
trueExample:true
Nested Schema : permissions
Type:
Show Source
arrayExample:
[
"receiveComSystemMessages",
"attachFilesToMessages"
]400 Response
Request has incorrect syntax or does not contain a field that is required.
401 Response
Authentication refused for provided credentials or the token is invalid.
Headers
404 Response
Resource not found.
422 Response
Request may contain validation errors.
500 Response
Internal server error.